%def_without xprint

Summary:	The Sunbird Project is a redesign of the Mozilla Calendar component
Name:		sunbird
Version:	0.2
Release:	alt1
Copyright:	MPL/GPL
Group:		Development/Other
Url: 		http://www.mozilla.org

Source0:	sunbird-0.2-source.tar.bz2
Source1:	sunbird-0.2-icons.tar.bz2
Source2:	sunbird.mozconfig
Source3:	sunbird.desktop

Patch0:		sunbird-0.2-configure_in-fix.patch
Patch1:		sunbird-0.2-alt-args-fix.patch

# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: xorg-x11-devel-static xorg-x11-libs doxygen fontconfig-devel freetype2-devel 
BuildRequires: gcc-c++ glib2-devel libIDL-devel libatk-devel libgtk+2-devel libjpeg-devel 
BuildRequires: libpango-devel libpng-devel libstdc++-devel pkgconfig unzip zip zlib-devel
BuildRequires: chrpath 

Requires:	gtk+2 >= 2.2.0 freetype2 

%define fullname		%name-%version
%define sunbird_prefix  	%_libdir/%fullname

%description
The Sunbird Project is a redesign of the Mozilla Calendar component. Our 
goal is to produce a cross platform standalone calendar application based
on Mozilla's XUL user interface language. At the moment the Sunbird name
is a project name. It is not official and may change in the future.

Our intended user is someone who uses Mozilla Firefox and Mozilla
Thunderbird and wants a calendar application based on Mozilla.

%prep
%setup -q -n %name-%version -c 
%setup -q -n %name-%version/mozilla -T -D -a1

%patch0 -p1
%patch1 -p1

%build
%add_optflags %optflags_shared
%add_findprov_lib_path %sunbird_prefix

%__cp %SOURCE2 .mozconfig

%configure \
    --disable-accessibility \
    --disable-activex \
    --disable-activex-scripting \
    --disable-composer \
    --disable-cookies \
    --disable-debug \
    --disable-freetype2 \
    --disable-installer \
    --disable-jsd \
    --disable-ldap \
    --disable-logging \
    --disable-mailnews \
    --disable-mathml \
    --disable-necko-disk-cache \
    --disable-oji \
    --disable-pedantic \
    --disable-plugins \
    --disable-profilesharing \
    --disable-short-wchar \
    --disable-svg \
    --disable-tests \
    --disable-view-source \
    --enable-calendar \
    --enable-crypto \
    --enable-default-toolkit=gtk2 \
    --enable-extensions=pref,xmlextras,transformiix \
    --enable-image-decoders=png,gif,jpeg \
    --enable-necko-protocols=about,http,ftp,file,jar,res \
    --enable-optimize \
    --enable-plaintext-editor-only \
    --enable-single-profile \
    --enable-strip-libs \
    --enable-xft \
    --disable-postscript \
%if_with xprint
    --enable-xprint \
%else
    --disable-xprint \
%endif #with xprint
    --prefix=%_prefix \
    --with-system-zlib


%make_build \
    prefix=%_prefix \
    idldir=%_datadir/idl/%name \
    mozappdir=%sunbird_prefix

cd xpfe/communicator
%make_build 

%install
%makeinstall \
	idldir=%buildroot/%_datadir/idl/%name \
	includedir=%buildroot/%_includedir/%name \
	mozappdir=%buildroot/%sunbird_prefix 

pushd xpfe/communicator
%makeinstall \
	idldir=%buildroot/%_datadir/idl/%name \
	includedir=%buildroot/%_includedir/%name \
	mozappdir=%buildroot/%sunbird_prefix 
popd

%__mkdir_p %buildroot/%_datadir/{applications,pixmaps}

%__install %SOURCE3 %buildroot/%_datadir/applications/

# icons
%__install -D -m 644 %name-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %name-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %name-16.png %buildroot/%_miconsdir/%name.png
%__install -D -m 644 %name.xpm    %buildroot/%_datadir/pixmaps/%name.xpm

# make package link 
%__ln_s %fullname %buildroot/%_libdir/%name

%files
%_bindir/%name
%_libdir/%name
%_libdir/%fullname
%_datadir/applications/*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_datadir/pixmaps/%name.xpm

%changelog
* Wed Jun 22 2005 Alexey Gladkov <legion@altlinux.ru> 0.2-alt1
- First build for ALT Linux.
